Несколько уязвимостей в WebCards

Дата публикации:
31.10.2008
Всего просмотров:
1730
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4877
CVE-2008-4878
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebCards 1.x
Уязвимые версии: WebCards 1.3_fixed_1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "user" в сценарии admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости злоумышленник должен знать логин администратора приложения и опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за некорректного ограничения на типы загружаемых администратором файлов в сценарии admin.php. Злоумышленник может отнести расширение “.php” к графическим файлам и загрузить и выполнить произвольный PHP код на целевой системе. Для успешной эксплуатации уязвимости требуются привилегии администратора (см. уязвимость #1).

URL производителя: www.mywebcards.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/6869

или введите имя

CAPTCHA